Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextNormsFormat.SimpleTextNormsProducer

    java.lang.Object
      org.apache.lucene.codecs.DocValuesProducer
          org.apache.lucene.codecs.simpletext.SimpleTextNormsFormat.SimpleTextNormsProducer

All Implemented Interfaces:
  Closeable

Enclosing class:
  SimpleTextNormsFormat

    public static class SimpleTextNormsFormat.SimpleTextNormsProducer

extends DocValuesProducer

Reads plain-text norms.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextNormsFormat.SimpleTextNormsProducer(SegmentReadState state)`

Method Summary
`void` | `close()`
`BinaryDocValues` | `getBinary(FieldInfo fieldInfo)`
`NumericDocValues` | `getNumeric(FieldInfo fieldInfo)`
`SortedDocValues` | `getSorted(FieldInfo fieldInfo)`
`SortedSetDocValues` | `getSortedSet(FieldInfo fieldInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextNormsFormat.SimpleTextNormsProducer

    public SimpleTextNormsFormat.SimpleTextNormsProducer(SegmentReadState state)
                                                  throws IOException

Throws:
  `IOException`

Method Detail

### getNumeric

    public NumericDocValues getNumeric(FieldInfo fieldInfo)
                                throws IOException

  Specified by:
    `getNumeric` in class `DocValuesProducer`
  Throws:
    `IOException`

### getBinary

    public BinaryDocValues getBinary(FieldInfo fieldInfo)
                              throws IOException

  Specified by:
    `getBinary` in class `DocValuesProducer`
  Throws:
    `IOException`

### getSorted

    public SortedDocValues getSorted(FieldInfo fieldInfo)
                              throws IOException

  Specified by:
    `getSorted` in class `DocValuesProducer`
  Throws:
    `IOException`

### getSortedSet

    public SortedSetDocValues getSortedSet(FieldInfo fieldInfo)
                                    throws IOException

  Specified by:
    `getSortedSet` in class `DocValuesProducer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.